Summary: Programs to control tape device operations.
Name: mt-st
Version: 0.8
Release: 1m
License: BSD
Group: Applications/System
%NoSource 0 ftp://metalab.unc.edu/pub/Linux/system/backup/mt-st-%{version}.tar.gz bddcad0290630e4521b4d72cbc75d9dd
Patch0: mt-st-0.8-redhat.patch
Patch1: mt-st-0.7-SDLT220.patch
Patch2: mt-st-0.7-config-files.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mt-st package contains the mt and st tape drive management
programs. Mt (for magnetic tape drives) and st (for SCSI tape devices)
can control rewinding, ejecting, skipping files and blocks and more.

Install mt-st if you need a tool to  manage tape drives.

%prep
%setup -q
%patch0 -p1 -b .redhat
%patch1 -p1 -b .sdlt220

%build
make CFLAGS="%{optflags} -Wall"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{bin,sbin}
mkdir -p %{buildroot}%{_mandir}/man{1,8}
make install MANDIR=%{buildroot}%{_mandir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README README.stinit mt-st-0.*.lsm stinit.def.examples
/bin/mt
/sbin/stinit
%{_mandir}/man[18]/*

%ChangeLog
* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8-1m)
- verup

* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7-3m)
- rebuild against new environment.
- applied config-files.patch.

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (0.7-2k)
- ver up.

* Mon Oct 29 2001 Toru Hoshina <t@kondara.org>
- (0.6-2k)
- update to 0.6, supports all ioctls up to kernel 2.4.0

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.


* Fri Apr 07 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.5b-7).

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Fri Jan 14 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for Red Hat 6.2.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Sep  5 1999 Jeff Johnson <jbj@redhat.com>
- enable "datcompression" command (#3654).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 10 1999 Preston Brown <pbrown@redhat.com>
- upgrade to .5b, which fixes some cmd. line arg issues (bugzilla #18)

* Thu Jul 23 1998 Jeff Johnson <jbj@redhat.com>
- package for 5.2.

* Sun Jul 19 1998 Andrea Borgia <borgia@cs.unibo.it>
- updated to version 0.5
- removed the touch to force the build: no binaries are included!
- added to the docs: README.stinit, stinit.def.examples
- made buildroot capable

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 20 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
